> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codecobra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current User Profile



## OpenAPI

````yaml /openapi.json get /api/users/me
openapi: 3.1.0
info:
  description: >-
    Public CodeCobra API. Authenticate by sending a personal API key in the
    `Authorization: Bearer <key>` header. Generate keys from Settings → API keys
    in the CodeCobra dashboard.
  title: CodeCobra Public API
  version: 1.0.0
servers: []
security: []
paths:
  /api/users/me:
    get:
      tags:
        - public
      summary: Get Current User Profile
      operationId: get_current_user_profile_api_users_me_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponse'
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  schemas:
    UserResponse:
      properties:
        advanced_mode:
          default: false
          title: Advanced Mode
          type: boolean
        created_at:
          format: date-time
          title: Created At
          type: string
        email:
          title: Email
          type: string
        email_notifications:
          title: Email Notifications
          type: boolean
        github_connected:
          default: false
          title: Github Connected
          type: boolean
        has_payment_method:
          default: false
          title: Has Payment Method
          type: boolean
        id:
          format: uuid
          title: Id
          type: string
        last_project_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Last Project Id
        name:
          title: Name
          type: string
        push_notifications:
          title: Push Notifications
          type: boolean
        show_sidebar_project_icons:
          default: false
          title: Show Sidebar Project Icons
          type: boolean
        theme:
          title: Theme
          type: string
        totp_enabled:
          default: false
          title: Totp Enabled
          type: boolean
      required:
        - id
        - name
        - email
        - email_notifications
        - push_notifications
        - theme
        - created_at
      title: UserResponse
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````